Package org.apache.avro.ipc.reflect

# Class ReflectResponder

java.lang.Object
org.apache.avro.ipc.Responder
org.apache.avro.ipc.generic.GenericResponder
org.apache.avro.ipc.specific.SpecificResponder
org.apache.avro.ipc.reflect.ReflectResponder

public class ReflectResponder extends SpecificResponder
`Responder` for existing interfaces.

## Field Summary

### Fields inherited from class org.apache.avro.ipc.Responder

`rpcMetaPlugins`

## Constructor Summary

Constructors
Constructor
Description
`ReflectResponder(Class iface, Object impl)`
`ReflectResponder(Class iface, Object impl, org.apache.avro.reflect.ReflectData data)`
`ReflectResponder(org.apache.avro.Protocol protocol, Object impl)`
`ReflectResponder(org.apache.avro.Protocol protocol, Object impl, org.apache.avro.reflect.ReflectData data)`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.avro.io.DatumReader<Object>`
`getDatumReader(org.apache.avro.Schema actual, org.apache.avro.Schema expected)`
`protected org.apache.avro.io.DatumWriter<Object>`
`getDatumWriter(org.apache.avro.Schema schema)`
`org.apache.avro.reflect.ReflectData`
`getReflectData()`
`void`
`writeError(org.apache.avro.Schema schema, Object error, org.apache.avro.io.Encoder out)`
Writes an error message.

### Methods inherited from class org.apache.avro.ipc.specific.SpecificResponder

`getSpecificData, respond`

### Methods inherited from class org.apache.avro.ipc.generic.GenericResponder

`getGenericData, readRequest, writeResponse`

### Methods inherited from class org.apache.avro.ipc.Responder

`addRPCPlugin, getLocal, getRemote, respond, respond`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectResponder

public ReflectResponder(Class iface, Object impl)

### ReflectResponder

public ReflectResponder(org.apache.avro.Protocol protocol, Object impl)

### ReflectResponder

public ReflectResponder(Class iface, Object impl, org.apache.avro.reflect.ReflectData data)

### ReflectResponder

public ReflectResponder(org.apache.avro.Protocol protocol, Object impl, org.apache.avro.reflect.ReflectData data)

## Method Details

### getReflectData

public org.apache.avro.reflect.ReflectData getReflectData()

### getDatumWriter

protected org.apache.avro.io.DatumWriter<Object> getDatumWriter(org.apache.avro.Schema schema)

Overrides:
  `getDatumWriter` in class `SpecificResponder`

### getDatumReader

protected org.apache.avro.io.DatumReader<Object> getDatumReader(org.apache.avro.Schema actual, org.apache.avro.Schema expected)

Overrides:
  `getDatumReader` in class `SpecificResponder`

### writeError

public void writeError(org.apache.avro.Schema schema, Object error, org.apache.avro.io.Encoder out) throws IOException
Description copied from class: `Responder`
Writes an error message.

Overrides:
  `writeError` in class `SpecificResponder`
Throws:
  `IOException`